This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1308179 - tecnoballz: FTBFS in rawhide
tecnoballz: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tecnoballz (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andrea Musuruane
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 17:35 EST by Fedora Release Engineering
Modified: 2016-03-31 16:30 EDT (History)
1 user (show)

See Also:
Fixed In Version: tecnoballz-0.92-24.fc24
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-31 16:30:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (75.86 KB, text/plain)
2016-02-13 17:35 EST, Fedora Release Engineering
no flags Details
root.log (106.20 KB, text/plain)
2016-02-13 17:35 EST, Fedora Release Engineering
no flags Details
state.log (633 bytes, text/plain)
2016-02-13 17:35 EST, Fedora Release Engineering
no flags Details
tecnoballz-0.92-gcc6-narrowing.patch (1.48 KB, patch)
2016-03-26 11:45 EDT, Raphael Groner
no flags Details | Diff

  None (edit)
Description Fedora Release Engineering 2016-02-13 17:35:01 EST
Your package tecnoballz failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12873249

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 17:35:04 EST
Created attachment 1126596 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 17:35:05 EST
Created attachment 1126597 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 17:35:06 EST
Created attachment 1126598 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 10:16:14 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Raphael Groner 2016-03-26 10:04:59 EDT
Hi Andrea,
I could take a look into that soonish.
Comment 6 Raphael Groner 2016-03-26 11:45 EDT
Created attachment 1140611 [details]
tecnoballz-0.92-gcc6-narrowing.patch

Known issue with gcc6 enforcing narrowing.
You should poke upstream about the dirty variables types in code and recommend this patch.
Comment 7 Raphael Groner 2016-03-26 11:59:50 EDT
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=13469630


diff --git a/tecnoballz.spec b/tecnoballz.spec
index b93f033..830ae04 100644
--- a/tecnoballz.spec
+++ b/tecnoballz.spec
@@ -1,6 +1,6 @@
 Name: tecnoballz
 Version: 0.92
-Release: 23%{?dist}
+Release: 24%{?dist}
 Summary: A Brick Busting game
 
 Group: Amusements/Games
@@ -29,6 +29,8 @@ Patch5: tecnoballz-0.92-gcc43.patch
 # Hans de Goede
 # Drop setgid privileges when not needed
 Patch6: tecnoballz-0.92-dropsgid.patch
+#
+Patch7: tecnoballz-0.92-gcc6-narrowing.patch
 
 BuildRequires: autoconf
 BuildRequires: SDL_image-devel
@@ -57,6 +59,7 @@ complete this great game. This game was ported from the Commodore Amiga.
 %patch4 -p1
 %patch5 -p2
 %patch6 -p1
+%patch7 -p1
 
 
 %build
@@ -107,6 +110,9 @@ fi
 
 
 %changelog
+* Sat Mar 26 2016 Raphael Groner <projects.rg@smart.ms> - 0.92-24
+- fix gcc6 narrowing
+
 * Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.92-23
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 8 Fedora Update System 2016-03-26 14:44:00 EDT
tecnoballz-0.92-24.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-eb8b8ab611
Comment 9 Fedora Update System 2016-03-27 17:50:22 EDT
tecnoballz-0.92-24.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-eb8b8ab611
Comment 10 Fedora Update System 2016-03-31 16:30:10 EDT
tecnoballz-0.92-24.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.